=== contrib/requirements/requirements.txt ===
qrcode
protobuf>=3.20,<4
qdarkstyle>=2.7
aiorpcx>=0.22.0,<0.24
aiohttp>=3.3.0,<4.0.0
aiohttp_socks>=0.8.4
certifi
attrs>=20.1.0
jsonpatch

# Note that we also need the dnspython[DNSSEC] extra which pulls in cryptography,
# but as that is not pure-python it cannot be listed in this file!
dnspython>=2.0
