=== debian/changelog ===
electrum (4.5.8+ds-8) unstable; urgency=medium

  * debian/patches/python3-aiorpcx.patch:  Bump maximum version to 26
    (closes: #1111636).

 -- Soren Stoutner <soren@debian.org>  Thu, 21 Aug 2025 10:21:27 -0700

electrum (4.5.8+ds-7) unstable; urgency=medium

  * Remove superfluous debian/source/options.
  * debian/control:
    - Remove unneeded build-depends on devscripts (closes: #1110284).
    - Remove recommends of python3-cbor for the electrum binary package.
    - Add suggests for python3-cbor2, python3-hid, python3-serial for the binary
      packages to support hardware wallets.
    - Rename ${libdep} to ${libsecp256k1dep} to be more explicit.
  * debian/README.Debian:  Improve documentation regarding hardware wallets.
  * debian/rules:
    - Rename -Vlibdep to -Vlibsecp256k1dep to be more explicit.
    - Remove obsolete "Rules-Requires-Root: no".
    - Remove the unneeded DEB_COPYRIGHT_CHECK_IGNORE_REGEX.
  * debian/upstream/metadata:  Standardize formatting.
  * debian/watch:  Improve readability of download version number code.

 -- Soren Stoutner <soren@debian.org>  Tue, 12 Aug 2025 12:02:01 -0700

electrum (4.5.8+ds-6) unstable; urgency=high

  * Add debian/patches/python3-aiorpcx.patch to allow running with version >=
    0.24 (Closes: #1102609).
  * debian/control:  Bump standards version to 4.7.2, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Fri, 11 Apr 2025 10:36:08 -0700

electrum (4.5.8+ds-5) unstable; urgency=medium

  * debian/control:
    - Add suggests on electrum to python3-electrum.
    - Bump standards version to 4.7.1, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Mon, 24 Feb 2025 16:10:26 -0700

electrum (4.5.8+ds-4) unstable; urgency=medium

  * Remove debian/patches/Improve-message-about-PyQt5.patch, no longer
    applicable.
  * Add debian/lrc.config.
  * Add debian/salsa-ci.yml with recommended default contents.
  * debian/control:
    - Add depends on python3-pyqt5 for the electrum package, thanks to Mladen
      Mijatov <meaneye.rcf@gmail.com> (Closes: #1098430).
    - Move most of the build-depends to build-depends-indep.
  * debian/copyright:
    - Update to reflect new and removed files.
    - Clarify stanzas for the vendored programs.
    - Add 2025 to copyright year for myself.
  * debian/electrum.1:  Update license in header to be Expat or GPLv3+.
  * debian/python3-electrum.links:  Add leading slashes for readability.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 18:35:00 -0700

electrum (4.5.8+ds-3) unstable; urgency=medium

  * debian/control:
    - Move python3-cbor and python3-matplotlib from Depends to
      Recommends in the python3-electrum package as they are not required for
      basic functionality to work.
    - Move python3-zbar from Suggests to Recommends in the python3-electrum
      package as it is required for scanning barcodes.

 -- Soren Stoutner <soren@debian.org>  Wed, 06 Nov 2024 23:36:50 -0700

electrum (4.5.8+ds-2) unstable; urgency=medium

  * debian/control:
    - Remove Recommends on python3-qdarkstyle as it is already handled by a
      Depends.
    - Add Depends on python3-matplotlib, which is required to plot the
      transaction history.
  * debian/electrum.docs:  Add a comment explaining the purpose.
  * debian/electrum.install:
    - Install all the available icons sizes to /usr/share/icons/hicolor/.
    - Improve the comments.
  * debian/electrum.manpages:  Add a comment explaining the purpose.
  * debian/python3-electrum.docs:  Add a comment explaining the purpose.
  * debian/python3-electrum.install:  Add a comment explain the purpose.

 -- Soren Stoutner <soren@debian.org>  Mon, 04 Nov 2024 11:12:26 -0700

electrum (4.5.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-Depend on "python3-pytest <!nocheck>".
    - Add "Testsuite: autopkgtest-pkg-pybuild".
  * debian/copyright:  Replace SourceSansPro-Bold.otf with SourceSans3-Bold.otf
    in Files-Excluded.
  * debian/patches:  Remove Use-fonts-adobe-sourcesans3.patch, applied upstream.
  * debian/rules:
    - Exclude tests that don't apply to the Debian build.
    - Remove the obsolete deletion of qdarkstyle from requires.txt.
    - Remove superfluous colons.
  * debian/watch:  Change the repack suffix from +dfsg to +ds, as the things
    that are currently being removed are all DFSG-free.

 -- Soren Stoutner <soren@debian.org>  Thu, 31 Oct 2024 13:01:39 -0700

electrum (4.5.5+dfsg-4) unstable; urgency=medium

  * Add electrum.docs to install the upstream README.md.
  * Add python3-electrum.docs to install the upstream README.md and
    debian/README.Debian.
  * debian/control:
    - Switch Build-Depends from python3-trezor to trezor to pickup the trezorctl
      binary.
    - Remove unneeded Build-Depend on python3-ecdsa.
    - Update Build-Depends version constraints.
  * debian/copyright:  Update for new files and reformat for readability.
  * debian/rules:  Remove unnecessary README.md files.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 13:57:46 -0700

electrum (4.5.5+dfsg-3) unstable; urgency=medium

  * debian/control: Unify suggests for electrum and python3-electrum.

 -- Soren Stoutner <soren@debian.org>  Tue, 01 Oct 2024 15:11:26 -0700

electrum (4.5.5+dfsg-2) unstable; urgency=medium

  * Add debian/patches/Use-fonts-adobe-sourcesans3.patch
  * debian/control: Suggest fonts-adobe-sourcesans3.
  * debian/README.debian: Document the purpose of fonts-adobe-sourcesans3.

 -- Soren Stoutner <soren@debian.org>  Mon, 09 Sep 2024 15:17:54 -0700

electrum (4.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Switch build-depends from python-cbor to python-cbor2.
    - Bump standards-version to 4.7.0 (no changes).
  * debian/copyright:  Update the copyright year and email address for my
    upstream contributions.
  * debian/electrum.1:  Update date and version.

