=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,pgpsigurlmangle=s/$/.ThomasV.asc/ \
    https://download.electrum.org/@ANY_VERSION@/Electrum-sourceonly-@ANY_VERSION@\.tar\.gz
