## electrum 4.6.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Uploaders: Soren Stoutner <soren@debian.org>
 Section: utils
 Priority: optional
-# libsecp256k1-dev is used to speed up elliptic curve operations.
-# protobuf-compiler is used to compile paymentrequest_pb2.py.
+# libprotobuf-dev and protobuf-compiler is used to compile protobuf files.
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-Build-Depends-Indep: libsecp256k1-dev,
+               dh-sequence-python3
+Build-Depends-Indep: libprotobuf-dev,
                      protobuf-compiler,
-                     pyqt5-dev-tools,
                      python3,
                      python3-aiohttp,
-                     python3-aiohttp-socks (>= 0.8.4),
+                     python3-aiohttp-socks,
                      python3-aiorpcx,
                      python3-attr,
                      python3-bitstring,
@@ -20,42 +18,37 @@
                      python3-certifi,
                      python3-cryptography,
                      python3-dnspython,
+                     python3-electrum-aionostr,
+                     python3-electrum-ecc,
                      python3-jsonpatch,
                      python3-pbkdf2,
-                     python3-protobuf (>= 3.20),
+                     python3-protobuf,
                      python3-pyaes,
                      python3-pycryptodome,
-                     python3-pyqt5.qtmultimedia,
-                     python3-pyqt6,
-                     python3-pyqt6.qtmultimedia,
-                     python3-pyqt6.qtquick,
                      python3-qrcode,
                      python3-serial,
                      python3-setuptools,
                      python3-pytest <!nocheck>
-Standards-Version: 4.7.2
+Homepage: https://electrum.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
-Homepage: https://electrum.org/
 Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.7.2
 
 Package: electrum
 Architecture: all
 Depends: python3-electrum (= ${binary:Version}),
-         python3-pyqt5,
+         python3-pyqt6,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-pyqt6
 # fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.  It is only used by the Revealer plugin.
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.  It is only used by the Revealer plugin.
-# python3-btchip is used by legacy Ledger hardware wallets.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
 # python3-serial is ued by Jade hareware wallets.
 # trezor is used by Trezor hardware wallets.
 Suggests: fonts-adobe-sourcesans3,
           fonts-dejavu-core,
-          python3-btchip,
           python3-cbor2,
           python3-hid,
           python3-serial,
@@ -94,7 +87,6 @@
          libjs-jquery-ui-theme-ui-lightness,
          node-qrcode-generator,
          python3-cryptography,
-         ${libsecp256k1dep},
          ${misc:Depends},
          ${python3:Depends}
 # python3-matplotlib is required to plot the transaction history.
@@ -103,7 +95,6 @@
             python3-zbar
 # fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
-# python3-btchip is used by legacy Ledger hardware wallets.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
 # python3-serial is ued by Jade hareware wallets.
@@ -111,7 +102,6 @@
 Suggests: electrum,
           fonts-adobe-sourcesans3,
           fonts-dejavu-core,
-          python3-btchip,
           python3-cbor2,
           python3-hid,
           python3-serial,
