=== contrib/requirements/requirements.txt ===
qrcode
protobuf>=3.20
qdarkstyle>=3.2
aiorpcx>=0.25.0,<0.26
aiohttp>=3.11.0,<4.0.0
aiohttp_socks>=0.9.2
certifi
jsonpatch
electrum_ecc>=0.0.4,<0.1
electrum_aionostr>=0.0.11,<0.1

# - upper limit to avoid needing hatchling at build-time :/
#   (however newer versions should work at runtime)
attrs>=20.1.0,<23

# Note that we also need the dnspython[DNSSEC] extra which pulls in cryptography,
# but as that is not pure-python it cannot be listed in this file!
# - upper limit to avoid needing hatchling at build-time :/
#   (however newer versions should work at runtime)
dnspython>=2.2,<2.5
