=== debian/changelog ===
electrum (4.6.2+dfsg-2) unstable; urgency=medium

  * debian/control:  Move python3-setuptools from Build-Depends-Indep to
    Build-Depends to fix Salsa CI build source.

 -- Soren Stoutner <soren@debian.org>  Wed, 05 Nov 2025 11:56:56 -0700

electrum (4.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/python3-aiorpcx.patch, applied upstream.
  * Remove debian/electrum.lintian-overrides, no longer needed.
  * Add debian/source/lintian-overrides and add overrides for:
    - maintainer-manual-page
    - very-long-line-length-in-source-file
  * debian/patches/Use-system-JavaScript-files.patch:  Fix failing hunk.
  * debian/control:
    - Remove Build-Depends-Indep on:
      - libsecp256k1-dev, which is no longer needed with the introduction of
        python-electrum-ecc.
      - pyqt5-dev-tools and python3-pyqt5.qtmultimedia, which are no longer
        needed with the transition to Qt6.
      - python3-pyqt6.qtmultimedia and python3-pyqt6.qtquick, which are no
        longer needed with the new upstream release.
    - Remove obsolete Build-Depends-Indep version constraints:
      - python3-aiohttp-socks (>= 0.8.4)
      - python3-protobuf (>= 3.20)
    - Remove electrum Depends on:
      - python3-pyqt5
    - Remove electrum and python3-electrum Suggests for:
      - python3-btchip, support dropped upstream.
    - Move python3-pyqt6 from Recommends to Depends for electrum.
    - Add Build-Depends-Indep on:
      - libprotobuf-dev
      - python3-electrum-aionostr
      - python3-electrum-ecc
    - Remove python3-electrum Depends on ${libsecp256k1dep}
  * debian/copyright:
    - Remove the newly-included electrum/gui/fonts/PTMono*, which are released
      under the OFL 1.1, but appear to not have available source.
    - Remove the pre-generated KeepKey protobuf files.  They will be
      re-generated in debian/rules during build.
    - Remove electrum/gui/qml/fonts/* from Files-Excluded, as they are no longer
      packaged upstream.
    - Refresh for new upstream release.
  * debian/electrum.1:  Update man page for new upstream release.
  * debian/lrc:  Exclude debian/copyright, which is falsely detected as
    OFL-1.1-RFN.
  * debian/python3-electrum.lintian-overrides:
    - Add package-contains-documentation-outside-usr-share-doc override for
      plugins/timelock_recovery/intro.txt.
    - Add image-file-in-usr-lib overrides for images that need to be in
      usr/lib/python3/dist-packages.
    - Add repeated-path-segment overrides.
  * debian/README.Debian:  Remove reference to the now-defunct python3-btchip
    in the Ledger hardware wallet section.
  * debian/rules:
    - Ignore the new test_qml_qetransactionlistmodel.py, which only applies to
      Android.
    - Generate the KeepKey protobuf files during build.
    - Remove the new keepkeylib COPYING file shipped upstream.
    - Remove two new README.md files shipped upstream.
    - Remove two new .gitignore files shipped upstream.
    - Remove the source .proto files and the script used to generate them
      in the Debian package.
    - Remove the script used to update the translations in the Debian
      package.
    - Remove the example scripts directory.
    - Remove override_dh_gencontrol, which is no longer needed with the switch
      from depending directly on libsecp256k1 to depending on
      python3-electrum-ecc.
  * debian/watch:
    - Rewrite from version 4 to version 5.
    - Change the Repacksuffix from +ds to +dfsg to reflect the exclusion of the
      PTMono fonts.

 -- Soren Stoutner <soren@debian.org>  Thu, 30 Oct 2025 12:03:04 -0700
