=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Priority: optional
 # libprotobuf-dev and protobuf-compiler is used to compile protobuf files.
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3
+               dh-sequence-python3,
+               python3-setuptools
 Build-Depends-Indep: libprotobuf-dev,
                      protobuf-compiler,
                      python3,
@@ -27,7 +28,6 @@
                      python3-pycryptodome,
                      python3-qrcode,
                      python3-serial,
-                     python3-setuptools,
                      python3-pytest <!nocheck>
 Homepage: https://electrum.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
