=== debian/watch ===
Version: 5

Source: https://download.electrum.org/@ANY_VERSION@/
Matching-Pattern: Electrum-sourceonly-@ANY_VERSION@\.tar\.gz
Dversionmangle: auto
Pgpsigurlmangle: s/$/.ThomasV.asc/
Repacksuffix: +dfsg
