=== debian/changelog ===
electrum (4.7.0+dfsg-1) unstable; urgency=medium

  * Remove debian/patches/* as the only patch was used for the payserver, which
    is no longer shipped as part of electrum.
  * Remove debian/python3-electrum.links:  These links were all used by the
    payserver.
  * debian/source/lintian-overrides:  Update line numbers from some
    very-long-line-length-in-source-file overrides.
  * debian/control:
    - Add version constraints to the following existing Build-Depends-Indep:
      - python3-aiorpcx (>= 0.25.0).
      - python3-electrum-aionostr (>= 0.1.0).
    - Add Build-Depends-Indep on:
      - python3-pyqt6.qtquick <!nocheck>
      - python3-pytest-xdist <!nocheck>
    - Remove python3-electrum Depends on the following packages, which were only
      needed by the payserver:
      - libjs-jquery
      - libjs-jquery-ui
      - libjs-jquery-ui-theme-ui-lightness
      - node-qrcode-generator
    - Change electrum Depends from python3-pyqt6 to python3-pyqt6.qtquick.
    - Bump Standards-Version from 4.7.2 to 4.7.3, removing the now-redundant
      "Priority: optional" field.
  * debian/copyright:
    - Bump my copyright years to be 2022-2026.
    - Remove the following two entries from Files-Excluded, as the payserver is
      no longer included in the upstream tarball.
      - electrum/plugins/payserver/www/vendor/jquery-*
      - electrum/plugins/payserver/www/vendor/qrcode.js
    - Remove entry for debian/patches/*.
  * debian/electrum.1:  Add the export_lightning_preimage command.
  * debian/python3-electrum.lintian-overrides:  Remove the payserver overrides.
  * debian/rules:
    - Spawn 4 threads for testing.
    - Ignore tests/test_qml_qeconfig.py.
    - Remove entries relating to the payserver.

 -- Soren Stoutner <soren@debian.org>  Fri, 30 Jan 2026 14:50:29 -0700
