=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Soren Stoutner <soren@debian.org>
 Section: utils
-Priority: optional
 # libprotobuf-dev and protobuf-compiler is used to compile protobuf files.
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -12,14 +11,14 @@
                      python3,
                      python3-aiohttp,
                      python3-aiohttp-socks,
-                     python3-aiorpcx,
+                     python3-aiorpcx (>= 0.25.0),
                      python3-attr,
                      python3-bitstring,
                      python3-cbor2,
                      python3-certifi,
                      python3-cryptography,
                      python3-dnspython,
-                     python3-electrum-aionostr,
+                     python3-electrum-aionostr (>= 0.1.0),
                      python3-electrum-ecc,
                      python3-jsonpatch,
                      python3-pbkdf2,
@@ -28,17 +27,19 @@
                      python3-pycryptodome,
                      python3-qrcode,
                      python3-serial,
-                     python3-pytest <!nocheck>
+                     python3-pyqt6.qtquick <!nocheck>,
+                     python3-pytest <!nocheck>,
+                     python3-pytest-xdist <!nocheck>
 Homepage: https://electrum.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: electrum
 Architecture: all
 Depends: python3-electrum (= ${binary:Version}),
-         python3-pyqt6,
+         python3-pyqt6.qtquick,
          ${misc:Depends},
          ${python3:Depends}
 # fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.  It is only used by the Revealer plugin.
@@ -82,11 +83,7 @@
 Package: python3-electrum
 Architecture: all
 Section: python
-Depends: libjs-jquery,
-         libjs-jquery-ui,
-         libjs-jquery-ui-theme-ui-lightness,
-         node-qrcode-generator,
-         python3-cryptography,
+Depends: python3-cryptography,
          ${misc:Depends},
          ${python3:Depends}
 # python3-matplotlib is required to plot the transaction history.
