=== debian/rules ===
#!/usr/bin/make -f

# Spawn 4 threads for testing.
# Ignore tests that don't apply to the Debian packaging.
# QML is used for the Android GUI.
export PYBUILD_TEST_ARGS = -n 4 \
	--ignore tests/test_qml_qeconfig.py \
	--ignore tests/test_qml_types.py \
	--ignore tests/test_qml_qetransactionlistmodel.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	# Generate paymentrequest_pb2.py from paymentrequest.proto.
	contrib/generate_payreqpb2.sh

	# Generate the KeepKey protobuff files.
	electrum/plugins/keepkey/keepkeylib/device-protocol/build_pb.sh

override_dh_installchangelogs:
	# Move RELEASE-NOTES to changelog.
	dh_installchangelogs RELEASE-NOTES

execute_after_dh_auto_install:
	# Remove redundant license files whose information has been copied to debian/copyright.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/distutils/LICENSE
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/LICENSE.txt
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/COPYING

	# Remove the unnecessary plugin README files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/lnwire/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/README
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/coldcard/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/jade/jadepy/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/README.md


	# Remove QML, which is only used for Android.
	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/qml/

	# Remove upstream cruft.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/.gitignore
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/.gitignore

	# Remove the source protobuf files (compiled in execute_before_dh_auto_build above).
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/paymentrequest.proto
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/exchange.proto
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/messages.proto
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/types.proto

	# Remove bundled executable in the python directory.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/electrum

	# Remove the script used to update the translation files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/update.py

	# Remove the script used to compile the keepkeylib protobuf files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/build_pb.sh

	# Remove the example scripts.  <https://github.com/spesmilo/electrum/issues/10291>
	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/scripts/*
