=== debian/changelog ===
electrum (4.7.0+dfsg2-1) unstable; urgency=medium

  * Add debian/electrum.NEWS to explain the pyperclip transition.
  * debian/clean:  Remove the following new files generated at build time from
    .proto files (closes: #1044268):
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/exchange_pb2.py
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/messages_pb2.py
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/types_pb2.py
  * debian/control:  Add Suggests for python3-ledger-bitcoin and
    python3-pyperclip.
  * debian/copyright:
    - Exclude electrum/_vendor/pyperclip.
    - Remove pyperclip stanza.
  * debian/README.Debian:
    - Add a TEXT GUI section informing users of the need to install
      python3-pyperclip.
    - Update the Ledger wallet section to recommend installation of the new
      python3-ledger-bitcoin package.
    - Improve the text for the BitBox hardware wallet.
  * debian/rules:  Remove deletion of pyperclip/LICENSE.txt and
    pyperclip/README.md.

 -- Soren Stoutner <soren@debian.org>  Fri, 13 Feb 2026 11:22:40 -0700
