=== debian/control ===
--- 
+++ 
@@ -46,12 +46,16 @@
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.  It is only used by the Revealer plugin.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
+# python3-ledger-bitcoin is used by the Ledger hardware wallet.
+# python3-pyperclip is used by the text GUI (electrum -g text).
 # python3-serial is ued by Jade hareware wallets.
 # trezor is used by Trezor hardware wallets.
 Suggests: fonts-adobe-sourcesans3,
           fonts-dejavu-core,
           python3-cbor2,
           python3-hid,
+          python3-ledger-bitcoin,
+          python3-pyperclip,
           python3-serial,
           trezor
 Description: Easy to use Bitcoin client
@@ -94,13 +98,15 @@
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
-# python3-serial is ued by Jade hareware wallets.
+# python3-ledger-bitcoin is used by the Ledger hardware wallet.
+# python3-serial is used by Jade hareware wallets.
 # trezor is used by Trezor hardware wallets.
 Suggests: electrum,
           fonts-adobe-sourcesans3,
           fonts-dejavu-core,
           python3-cbor2,
           python3-hid,
+          python3-ledger-bitcoin,
           python3-serial,
           trezor
 Description: Easy to use Bitcoin client - Python module
