=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,9 @@
 execute_after_dh_auto_install:
 	# Remove redundant license files whose information has been copied to debian/copyright.
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/distutils/LICENSE
-	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/LICENSE.txt
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/COPYING
 
 	# Remove the unnecessary plugin README files.
-	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/README.md
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/lnwire/README.md
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/README.md
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/README
